<!-- 全方向ランダム弾から雨 -->
<?xml version="1.0" ?>
<!DOCTYPE bulletml SYSTEM "http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd">
<bulletml xmlns="http://www.asahi-net.or.jp/~cs8k-cyu/bulletml">

<action label="top">
	<repeat>
		<times>90</times>
		<action>
			<fire>
				<direction type="sequence">4</direction>
				<speed>10.0</speed>
				<bulletRef label="down">
				</bulletRef>
			</fire>
		</action>
	</repeat>
<!--
	<repeat>
		<times>100</times>
		<action>
			<fire>
				<direction type="absolute">360.0 * $rand</direction>
				<speed>10.0</speed>
				<bulletRef label="down">
				</bulletRef>
			</fire>
		</action>
	</repeat>
-->

	<vanish />
</action>


<bullet label="down">
	<action>
		<wait>5</wait>
		<changeSpeed>
			<speed>0.25</speed>
			<term>10</term>
		</changeSpeed>
		<wait>15</wait>

		<changeSpeed>
			<speed>10.0</speed>
			<term>10</term>
		</changeSpeed>
		<changeDirection>
			<direction type="sequence">182</direction>
			<term>1</term>
		</changeDirection>
		<wait>27</wait>

		<changeSpeed>
			<speed>0.25</speed>
			<term>10</term>
		</changeSpeed>
		<wait>50</wait>

		<changeSpeed>
			<speed>2.0</speed>
			<term>1 + $rand * 10</term>
		</changeSpeed>
		<wait>$rand * 15</wait>

		<changeDirection>
			<direction type="absolute">180</direction>
			<term>20 + $rand * 20</term>
		</changeDirection>

		<changeSpeed>
			<speed>0.5 + $rank + $rand * 1.0</speed>
			<term>10 + $rand * 150</term>
		</changeSpeed>
	</action>
</bullet>

</bulletml>
